#!/bin/sh

shopt -s expand_aliases

# This script automatically publishes selected files from the repo

cd  /srv/www/vhosts/flyspray.org/subdomains/scm/cdbxpAuto/PublishSources

echo "Updating files...(Installer)"

rm -rf ./*
svn co --username compiler --password sp2br5jAjA http://scm.flyspray.org/repos/cdburnerxp/trunk/Installer/Source .

echo "Copying installer script"

# Do not publish anymore because of OC secret numbers
# cp "CDBurnerXP Final Installer.iss" /srv/www/vhosts/cdburnerxp.se/htdocs/downloads/sourcecode/CDBurnerXP-Installer.iss

echo "Updating files...(Ketarin)"

cd /srv/www/vhosts/flyspray.org/subdomains/scm/cdbxpAuto/UpdateVersion && svn up --username compiler --password sp2br5jAjA

cd /srv/www/vhosts/flyspray.org/subdomains/scm/cdbxpAuto
rm -rf ketarin
svn export --username compiler --password sp2br5jAjA http://scm.flyspray.org/repos/ketarin 

cd ketarin

# Copy all required source files from CDBurnerXP
mkdir CDBurnerXP 

cp ../UpdateVersion/CsLib/CDBurnerXP/IO/SafeClipboard.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/IO/FormatFileSize.cs CDBurnerXP
cp ../UpdateVersion/CsLib/Win32/IconReader.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/ListView.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/ObjectListView.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/OwnerDrawnMenu.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/IO/PathEx.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/Separator.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Settings.cs CDBurnerXP
cp ../UpdateVersion/CsLib/Win32/Shell32.cs CDBurnerXP
cp ../UpdateVersion/CsLib/Win32/User32.cs CDBurnerXP
cp ../UpdateVersion/CsLib/Win32/Kernel32.cs CDBurnerXP
cp ../UpdateVersion/CsLib/Win32/Kernel32.cs /srv/www/vhosts/cdburnerxp.se/htdocs/downloads/sourcecode/HewlettPackard.LightScribe
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/VistaMenu.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/WebLink.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/GenericEventArgs.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Forms/ControlRedrawLock.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Forms/PersistentForm.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Forms/ProgressDialog.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Forms/ProgressDialog.Designer.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Forms/ProgressDialog.resx CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/MarqueeProgressBar.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Utility.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Conversion.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/AdvancedListBox.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/AdvancedListBox.designer.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/AdvancedListBox.resx CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/ListBoxPanel.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/AutoSizeLayout.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/ListBoxPanel.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/ListBoxPanel.designer.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/ListBoxPanel.resx CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/IO/Debug.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/PanelCollection.cs CDBurnerXP
cp ../UpdateVersion/CsLib/CDBurnerXP/Controls/IMirrorControl.cs CDBurnerXP

echo "Creating Ketarin.tar.gz..."

tar -czvf Ketarin.tar.gz *
chmod 644 Ketarin.tar.gz

cp Ketarin.tar.gz /srv/www/vhosts/cdburnerxp.se/htdocs/downloads/sourcecode
