﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.ComponentModel;

namespace CDBurnerXP.Controls
{
    /// <summary>
    /// Represents a NumericUpDown which can be used within a toolstrip container.
    /// </summary>
    public class NumericUpDownToolstrip : ToolStripControlHost
    {
        [Browsable(false)]
        public NumericUpDown NumericUpDown
        {
            get
            {
                return this.Control as NumericUpDown;
            }
        }

        public NumericUpDownToolstrip()
            : base(new NumericUpDown())
        {
        }
    }
}
